## rtprtxqueue

rtprtxqueue

## Properties

guint | max-size-packets | Read / Write
guint | max-size-time | Read / Write

## Types and Values

struct | GstRTPRtxQueue

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPRtxQueue

## Description

## Synopsis

### Element Information

plugin | rtpmanager
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Functions

## Types and Values

### struct GstRTPRtxQueue

    struct GstRTPRtxQueue;

The opaque GstRTPRtxQueue structure.

## Property Details

### The `“max-size-packets”` property

      “max-size-packets”         guint

Amount of packets to queue (0 = unlimited).

Flags: Read / Write

Default value: 100

### The `“max-size-time”` property

      “max-size-time”            guint

Amount of ms to queue (0 = unlimited).

Flags: Read / Write

Default value: 0